aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xci/before_script.sh6
-rw-r--r--ci/common/build.sh9
2 files changed, 6 insertions, 9 deletions
diff --git a/ci/before_script.sh b/ci/before_script.sh
index a0e87adb9e..1759dbe942 100755
--- a/ci/before_script.sh
+++ b/ci/before_script.sh
@@ -10,6 +10,12 @@ fi
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source "${CI_DIR}/common/build.sh"
+# Enable ipv6 on Travis. ref: a39c8b7ce30d
+if ! test "${TRAVIS_OS_NAME}" = osx ; then
+ echo "before_script.sh: enable ipv6"
+ sudo sysctl -w net.ipv6.conf.lo.disable_ipv6=0
+fi
+
# Test some of the configuration variables.
if [[ -n "${GCOV}" ]] && [[ ! $(type -P "${GCOV}") ]]; then
echo "\$GCOV: '${GCOV}' is not executable."
diff --git a/ci/common/build.sh b/ci/common/build.sh
index 02e1110a15..0024f2cbd5 100644
--- a/ci/common/build.sh
+++ b/ci/common/build.sh
@@ -86,12 +86,3 @@ build_nvim() {
cd "${TRAVIS_BUILD_DIR}"
}
-
-macos_rvm_dance() {
- # neovim-ruby gem requires a ruby newer than the macOS default.
- source ~/.rvm/scripts/rvm
- rvm get stable --auto-dotfiles
- rvm reload
- rvm use 2.2.5
- rvm use
-}